﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Grid.aspx.cs" Inherits="Grid" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style>
        .RadGrid .rgMasterTable th.rgHeader {
            word-break: break-word;
        }
    </style>
        <telerik:RadCodeBlock ID="rcb" runat="server">
<%--        <script type="text/javascript" src="Scripts/jquery.js"></script>
        <script type="text/javascript" src="Scripts/BlockUI.js"></script>--%>
        <script type="text/javascript">
            var popUpWindow;
            function openWindow(workOrderId, rowIndex) {
                var tableView = $find("rgPMWorkOrders").get_masterTableView();
                tableView.selectItem(rowIndex);

                var url = new String("Detail.aspx?fullscreen=true&WorkOrderId=" + workOrderId);
                popUpWindow = window.open(url, 'work_order_detail', 'toolbar=no,location=no,scrollbars=yes,width=920,height=700');
                popUpWindow.focus();
                setTimeout("checkWindow()", 100);
            }
            function checkWindow() {
                if (popUpWindow.closed == false) {
                    setTimeout("checkWindow()", 100);
                }
                else {
                    //Refresh parent after child window is closed.
                    <%--<%=ClientScript.GetPostBackEventReference(btnSubmit, True)%>;--%>
                    //< %=ClientScript.GetPostBackEventReference(btnSubmitFromClose, True)%>;
                }
            }

            function blockDataUI() {
                var dataDiv = $get("dataDiv");
                $(dataDiv).block({ message: 'Preparing documents for printing...', overlayCSS: { backgroundColor: '#000', opacity: 0.2 } });
            }

        </script>
    </telerik:RadCodeBlock>


</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager runat="server"></telerik:RadScriptManager>

        <telerik:RadGrid ID="rgPMWorkOrders" runat="server" RenderMode="Lightweight" OnNeedDataSource="RadGrid1_NeedDataSource" AutoGenerateColumns="false">
            <FilterMenu EnableTextHTMLEncoding="false"></FilterMenu>
            <ClientSettings>
                <Selecting AllowRowSelect="true" />
            </ClientSettings>
            <MasterTableView>
                <Columns>
                    <telerik:GridBoundColumn DataField="EmployeeID"></telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="BirthDate"></telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="LastName"></telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="FirstName"></telerik:GridBoundColumn>
                    <telerik:GridTemplateColumn HeaderText="Id" ReadOnly="true" SortExpression="Lookup" UniqueName="Lookup">
                        <ItemTemplate>
                            <asp:HyperLink ID="hlWorkOrderId" Text='<%#Eval("Lookup")%>' NavigateUrl='<%#String.Format("javascript:openWindow({0}, {1});", Eval("WorkOrderId"), Container.ItemIndex)%>' Enabled="true" runat="server" />
                        </ItemTemplate>
                    </telerik:GridTemplateColumn>
                </Columns>
            </MasterTableView>
        </telerik:RadGrid>
    </form>
</body>
</html>
