﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class Grid : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
    }

    protected void RadGrid1_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        (sender as RadGrid).DataSource = EmployeesTable();
    }

    private DataTable EmployeesTable()
    {
        DataTable dt = new DataTable();

        dt.Columns.Add(new DataColumn("EmployeeID", typeof(int)));
        dt.Columns.Add(new DataColumn("BirthDate", typeof(DateTime)));
        dt.Columns.Add(new DataColumn("LastName", typeof(string)));
        dt.Columns.Add(new DataColumn("FirstName", typeof(string)));
        dt.Columns.Add(new DataColumn("Title", typeof(string)));
        dt.Columns.Add(new DataColumn("WorkOrderId", typeof(int)));
        dt.Columns.Add(new DataColumn("Lookup", typeof(string)));


        dt.PrimaryKey = new DataColumn[] { dt.Columns["EmployeeID"] };

        for (int i = 0; i < 50; i++)
        {
            int index = i + 1;

            DataRow row = dt.NewRow();
            row["EmployeeID"] = index;
            row["BirthDate"] = DateTime.Now;
            row["LastName"] = "Last Name <some text " + index;
            row["FirstName"] = "First Name >" + index;
            row["Title"] = "Title " + index;
            row["WorkOrderId"] = index;
            row["Lookup"] = "Lookup" + index;

            dt.Rows.Add(row);
        }

        return dt;
    }

    protected void RadGrid1_FilterCheckListItemsRequested(object sender, GridFilterCheckListItemsRequestedEventArgs e)
    {

    }
}